THIS IS AN ACCIDENTAL REPOST: Connect one point to all other points with lines

I have 400 points in my 3d coordinate system, I am trying to connect all of these points to one defined point. This is the code I have so far, I’m wondering if theres a way to use the AddLine command for one point to many others.

import rhinoscriptsyntax as rs

point1 = rs.GetPoint("Pick first point")
if point1:
    other_points = rs.AllObjects()
    rs.AddLine(point1, other_points)

Basically like this:

import rhinoscriptsyntax as rs

point1 = rs.GetPoint("Pick first point")
if point1:
    other_points = rs.AllObjects()
    rs.EnableRedraw(False)
    for pt in other_points:
        rs.AddLine(point1, pt)

Just have the line creation in a loop… I added the EnableRedraw(False) as it will go a lot faster, otherwise it will try to redraw the screen after each line is added.

HTH, --Mitch

1 Like

Thanks @Helvetosaur